"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createProjectManifestWriter = createProjectManifestWriter;
const path_1 = __importDefault(require("path"));
const util_1 = __importDefault(require("util"));
const read_project_manifest_1 = require("@pnpm/read-project-manifest");
const write_project_manifest_1 = require("@pnpm/write-project-manifest");
async function createProjectManifestWriter(projectDir) {
    try {
        const { writeProjectManifest } = await (0, read_project_manifest_1.readProjectManifest)(projectDir);
        return writeProjectManifest;
    }
    catch (err) {
        if (util_1.default.types.isNativeError(err) && 'code' in err && err.code === 'ERR_PNPM_NO_IMPORTER_MANIFEST_FOUND') {
            return write_project_manifest_1.writeProjectManifest.bind(null, path_1.default.join(projectDir, 'package.json'));
        }
        throw err;
    }
}
//# sourceMappingURL=createProjectManifestWriter.js.map